#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	glslang
Version		:	15.0.0
Release		:	17.2.0.rel%{?dist}
Summary		:	OpenGL and OpenGL-ES shader front end and validator
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD-3-Clause 
URL		:	https://github.com/KhronosGroup/%{name}

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	ninja
BuildRequires	:	SPIRV-Tools-devel

#-----------------------------------------------------------------------------
%description
%{name} is the official reference compiler
front end for the OpenGL ES and OpenGL
shading languages.
It implements a strict interpretation of
the specifications for these languages.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md README-spirv-remap.txt
%{_bindir}/%{name}
%{_bindir}/%{name}Validator
%{_libdir}/lib%{name}.so
%{_bindir}/spirv-remap
%{_libdir}/lib%{name}-default-resource-limits.so
%{_libdir}/libSPIRV.so
%{_libdir}/libSPVRemapper.so

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/Include/*.h
%{_includedir}/%{name}/MachineIndependent/Versions.h
%{_includedir}/%{name}/Public/*.h
%{_includedir}/%{name}/SPIRV/*.h
%{_includedir}/%{name}/SPIRV/spirv.hpp
%{_includedir}/%{name}/build_info.h
%{_libdir}/cmake/%{name}/%{name}-*.cmake
%{_libdir}/lib%{name}.so.15*
%{_libdir}/lib%{name}-default-resource-limits.so.15*
%{_libdir}/libSPIRV.so.15*
%{_libdir}/libSPVRemapper.so.15*

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-S .						\
	-G Ninja					\
	-D CMAKE_BUILD_TYPE=Release 			\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D ALLOW_EXTERNAL_SPIRV_TOOLS=ON		\
	-D BUILD_SHARED_LIBS=ON				\
	-D GLSLANG_TESTS=ON 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
cmake							\
	--build						\
	_bld						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
cmake							\
	--build _bld					\
	--target test

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
